Get providers
curl --request GET \
--url https://api.example.com/data/providersimport requests
url = "https://api.example.com/data/providers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/data/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "pr_9kENiPPutAst3eAbAbVAQ",
"name": "Orange",
"country": "CI",
"method": "mobile_money",
"currency": "XOF"
}
]{
"status": 400,
"error": {
"statusCode": 400,
"message": [
"destination.provider must be a string"
],
"error": "Bad Request"
}
}{
"type": "internal_error",
"code": [
"internal_error",
"wrong_credentials",
"not_granted",
"live_mode_not_granted",
"invalid_sandbox_msisdn",
"invalid_url",
"orange_invalid_url",
"wrong_provider",
"override_business_name",
"do_not_override_business_name"
],
"message": "An error occurred on our system. Please try again later."
}Data
Get providers
Returns the list of providers available with Hub2
GET
/
data
/
providers
Get providers
Query Parameters
Transactions method supproted by the provider
Available options:
mobile_money, bank_transfer, airtime, credit_card, cash Example:
"mobile_money"
Country code of the provider
Example:
"CI"
The status of the provider
Available options:
enabled, disabled Example:
"enabled"
The name of the provider
Example:
["mtn", "orange"]
Response
Id of the provider
Example:
"pr_9kENiPPutAst3eAbAbVAQ"
Name of the provider
Example:
"Orange"
Country where the provider is deployed. Follows the ISO 3166-1 alpha-2
Example:
"CI"
The payment method supported by the provider
Available options:
mobile_money, credit_card, bank_transfer Example:
"mobile_money"
The currency used by the provider. Follows the ISO 4217
Example:
"XOF"
